Loading...
Searching...
No Matches
cyaml_event_ctx Struct Reference
Collaboration diagram for cyaml_event_ctx:
[legend]

## Data Fields

bool | have_event
yaml_event_t | event
cyaml_event_record_t | record
cyaml_event_replay_t | replay

## Detailed Description

CYAML's LibYAML event context.

Only cyaml_get_next_event and friends should poke around inside here. Everything else should use cyaml__current_event to access the current event data, and call cyaml_get_next_event to pump the event stream.

## Field Documentation

## event

yaml_event_t cyaml_event_ctx::event

Current event.

## have_event

bool cyaml_event_ctx::have_event

Whether event is currently populated.

## record

cyaml_event_record_t cyaml_event_ctx::record

Event recording context.

## replay

cyaml_event_replay_t cyaml_event_ctx::replay

Event replaying context.

The documentation for this struct was generated from the following file:

- src/load.c